Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wfs.capabilities
Class WFSCapabilitiesDocument

    java.lang.Object
      org.deegree.framework.xml.XMLFragment
          org.deegree.ogcbase.OGCDocument
              org.deegree.ogcwebservices.getcapabilities.OGCCapabilitiesDocument
                  org.deegree.owscommon.OWSCommonCapabilitiesDocument
                      org.deegree.ogcwebservices.wfs.capabilities.WFSCapabilitiesDocument_1_1_0
                          org.deegree.ogcwebservices.wfs.capabilities.WFSCapabilitiesDocument

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  WFSConfigurationDocument

    public class WFSCapabilitiesDocument

extends WFSCapabilitiesDocument_1_1_0

Represents a capabilities document for an OGC WFS 1.1.0 compliant web service.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider , last edited by: $Author: mschneider $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.ogcwebservices.wfs.capabilities.WFSCapabilitiesDocument_1_1_0
`DEEGREEWFSNS, FEATURE_TYPE_LIST_NAME, FILTER_CAPABILITIES_NAME, OGCNS, SERVES_GML_OBJECT_TYPE_LIST_NAME, SUPPORTS_GML_OBJECT_TYPE_LIST_NAME, WFSNS`

Fields inherited from class org.deegree.owscommon.OWSCommonCapabilitiesDocument
`ALL_NAME, CONTENTS_NAME, OPERATIONS_METADATA_NAME, OWSNS, SERVICE_IDENTIFICATION_NAME, SERVICE_PROVIDER_NAME`

Fields inherited from class org.deegree.ogcbase.OGCDocument
`GMLNS`

Fields inherited from class org.deegree.framework.xml.XMLFragment
`DEFAULT_URL, nsContext, XLNNS`

Constructor Summary
`WFSCapabilitiesDocument()`

Method Summary
`OGCCapabilities` | `parseCapabilities()` Creates a class representation of the document.

Methods inherited from class org.deegree.ogcwebservices.wfs.capabilities.WFSCapabilitiesDocument_1_1_0
`createEmptyDocument, createEmptyDocument, getFeatureTypeList, getFeatureTypeType, getFilterCapabilities, getFormatType, getGMLObjectType, getMetadataURL, getOperationsMetadata, getOperationsType, getServesGMLObjectTypeList, getServiceIdentification, getSupportsGMLObjectTypeList`

Methods inherited from class org.deegree.owscommon.OWSCommonCapabilitiesDocument
`getCodeType, getContraints, getDCP, getDCPs, getKeywords, getKeywords, getOperation, getOWSDomainType, getServiceProvider, getWGS84BoundingBoxType`

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.OGCCapabilitiesDocument
`parseAddress, parseMetadataLink, parsePhone, parseUpdateSequence, parseVersion`

Methods inherited from class org.deegree.ogcbase.OGCDocument
`parseCodeList, parseCodeListArray, parseExtendedPropertyPath, parseInterval, parseKeywords, parseKeywords, parseLonLatEnvelope, parseOnLineResource, parsePropertyPath, parseTimePeriod, parseTimePeriods, parseTimePositions, parseTimeSequence, parseTypedLiteral, parseValues`

Methods inherited from class org.deegree.framework.xml.XMLFragment
`getAsPrettyString, getAsString, getAttachedSchemas, getQualifiedName, getRootElement, getSystemId, hasSchema, load, load, load, parseQualifiedName, parseSimpleLink, prettyPrint, prettyPrint, resolve, setRootElement, setSystemId, setSystemId, toString, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WFSCapabilitiesDocument

    public WFSCapabilitiesDocument()

Method Detail

### parseCapabilities

    public OGCCapabilities parseCapabilities()
                                      throws InvalidCapabilitiesException

  Creates a class representation of the document.

  Overrides:
    `parseCapabilities` in class `WFSCapabilitiesDocument_1_1_0`
  Returns:
    class representation of the capabilities document
  Throws:
    `InvalidCapabilitiesException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org